Returns a SolrInputDocument equivalent of the object

- « SolrDocument::getFieldNames

- SolrDocument::hasChildDocuments »

- PHP Manual
- SolrDocument
- Returns a SolrInputDocument equivalent of the object

# SolrDocument::getInputDocument

(PECL solr >= 0.9.2)

SolrDocument::getInputDocument — Returns a SolrInputDocument equivalent of the object

### Description

public SolrDocument::getInputDocument(): SolrInputDocument

Returns a SolrInputDocument equivalent of the object. This is useful if one wishes to resubmit/update a document retrieved from a query.

### Parameters

This function has no parameters.

### Return Values

Returns a SolrInputDocument on success and `null` on failure.